@echo off
rem *******************************************************************************
rem  Lisansl Malzeme - IBM'in Maldr
rem  (c) Copyright IBM Corporation 2011, 2014. Her Hakk Sakldr.
rem
rem  ABD Kamu Kullanclar in Snrl Haklara likin Not:
rem  Kullanm, oaltlmas ya da aklanmas, IBM Corp. ile yaplan GSA ADP Schedule
rem  Contract adl szlemeyle snrlanmtr.
rem  *******************************************************************************

rem ################################################################################
rem
rem File for messages displayed by the upgrade automated scripts.
rem
rem ################################################################################

setlocal
set TAB=     
if "%1" == "" goto :LBLEND
if "%1" == "HELP" goto :LBLHELP
goto LBLMSG_%1


REM *********************************
REM * Initial verification messages *
REM *********************************

:LBLMSG_NO_ADMIN_PRIVILEGES
echo.
echo Ynetici haklaryla ykseltme altrlmaldr.
echo.
goto LBLEND

:LBLMSG_INVALID_LAUNCH
set TAB=    
echo.
echo app_upgrade komut dosyasn dorudan yrtmeyin.  JTS ya da uygulamay ykseltmek iin u komutlardan birini altrn: echo %TAB%ccm_upgrade
echo %TAB%jts_upgrade
echo %TAB%qm_upgrade
echo %TAB%rm_upgrade
echo Yukardaki komutlarn tam aklamas iin -help komutunu kullann.
echo.
goto LBLEND

:LBLMSG_INVALID_START_DIR
set TAB=    
echo.
echo -help parametresinin kullanld zamanlar dnda %2 komut dosyas, %3 dizininden altrlmaldr
echo.
goto LBLEND

:LBLMSG_SHOW_PARAM_FILE_NAME
echo.
echo "%2" dosyas, ykseltme komut dosyas iin parametre deerleri ieriyor.
echo Varsaylan parametre deerlerinden herhangi birini deitirmeniz gerekirse bu dosyalar dzenleyebilir ya da ykseltme komut dosyalarna komut satr bamsz deikenleri olarak parametre deerlerini belirtebilirsiniz.
echo.
goto LBLEND

:LBLMSG_SHOW_PARAM_FILE_NAMES_LIST
echo.
echo Aadaki dosya kmesi bir uygulama ya da JTS ykseltmesi iin varsaylan parametre deerlerini ieriyor.  Varsaylan parametre deerlerinden herhangi birini deitirmeniz gerekirse bu dosyalar dzenleyebilir ya da ykseltme komut dosyalarna komut satr bamsz deikenleri olarak parametre deerlerini belirtebilirsiniz.
echo %TAB%- CCM ykseltmesi: "%2params\ccm_params%3.bat"
echo %TAB%- QM ykseltmesi:  "%2params\qm_params%3.bat"
echo %TAB%- RM ykseltmesi:  "%2params\rm_params%3.bat"
echo %TAB%- JTS ykseltmesi: "%2params\jts_params%3.bat"
echo.
goto LBLEND


REM ************************************
REM * Parameters verification messages *
REM ************************************

REM Intrinsic verification
rem ======================

:LBLMSG_MISSING_APP_TYPE
echo.
echo Bir JTS ya da uygulama tipi belirtilmedi.  JTS ya da uygulamay ykseltmek iin u komutlardan birini altrn:
echo     ccm_upgrade
echo     jts_upgrade
echo     qm_upgrade
echo     rm_upgrade
echo Yukardaki komutlarn tam aklamas iin -help komutunu kullann.
echo.
goto LBLEND

:LBLMSG_INVALID_APP_TYPE
echo.
echo %2, geerli bir JTS ya da uygulama tipi deil.  JTS ya da uygulamay ykseltmek iin u komutlardan birini altrn:
echo     ccm_upgrade
echo     jts_upgrade
echo     qm_upgrade
echo     rm_upgrade
echo Yukardaki komutlarn tam aklamas iin -help komutunu kullann.
echo.
goto LBLEND

:LBLMSG_MISSING_PARAM_VALUE
echo.
echo %2 parametresi deeri eksik.
echo Parametrelerin tam aklamas iin -help komutunu kullann.
echo.
goto LBLEND

:LBLMSG_INVALID_PARAM_DIR
echo.
echo %2 parametresi iin belirtilen %3 dizini yok ya da geerli deil.
echo Parametrelerin tam aklamas iin -help komutunu kullann.
echo.
goto LBLEND

:LBLMSG_RELATIVE_PARAM_DIR
echo.
echo %2 parametresi iin belirtilen %3 dizini mutlak bir yol olmaldr.
echo Parametrelerin tam aklamas iin -help komutunu kullann.
echo.
goto LBLEND

:LBLMSG_INVALID_PARAM_FILE
echo.
echo %2 parametresi iin belirtilen %3 dosyas yok ya da geerli deil.
echo Parametrelerin tam aklamas iin -help komutunu kullann.
echo.
goto LBLEND

:LBLMSG_INVALID_PARAM_VALUE
echo.
echo %3, %2 parametresi iin geersiz bir deerdir.
echo Parametrelerin tam aklamas iin -help komutunu kullann.
echo.
goto LBLEND

:LBLMSG_INVALID_PARAM
echo.
echo %2, bilinmeyen bir parametredir.
echo Parametrelerin tam aklamas iin -help komutunu kullann.
echo.
goto LBLEND


REM Extrinsic verification
rem ======================

:LBLMSG_MISSING_HOME_PARAM
echo.
echo %2 ana dizin parametresi eksik.
echo Parametrelerin tam aklamas iin -help komutunu kullann.
echo.
goto LBLEND

:LBLMSG_DIR_NOT_FOUND
echo.
echo %2 dizini yok ya da geerli deil.
echo.
goto LBLEND

:LBLMSG_CMD_NOT_FOUND_2X_APP
echo.
echo '%2' uygulama repotools komutu bulunamyor.
echo.
echo '%3' -oldApplicationHome parametresinin eski sunucu yaplandrma dizinini (rnein, 'JazzInstallRoot\server\conf') gsterdiini dorulayn.
echo.
goto LBLEND

:LBLMSG_CMD_NOT_FOUND_OLD_APP
echo.
echo '%2' uygulama repotools komutu bulunamyor.
echo.
echo '%3' -oldApplicationHome parametresinin eski sunucu yaplandrma dizinini (rnein, 'JazzInstallRoot\server\conf') gsterdiini ve '%4' -jtsContextRoot parametresinin doru olduunu dorulayn.
echo.
goto LBLEND

:LBLMSG_TSP_NOT_FOUND_2X_APP
echo.
echo '%2' yaplandrma dosyas bulunamyor.
echo.
echo '%3' -oldApplicationHome parametresinin eski sunucu yaplandrma dizinini (rnein, 'JazzInstallRoot\server\conf') gsterdiini dorulayn.
echo.
goto LBLEND

:LBLMSG_TSP_NOT_FOUND_OLD_APP
echo.
echo '%2' yaplandrma dosyas bulunamyor.
echo.
echo '%3' -oldApplicationHome parametresinin eski sunucu yaplandrma dizinini (rnein, 'JazzInstallRoot\server\conf') gsterdiini ve '%4' -applicationContextRoot parametresinin doru olduunu dorulayn.
echo.
goto LBLEND

:LBLMSG_CMD_NOT_FOUND_NEW_APP
echo.
echo '%2' uygulama repotools komutu bulunamyor.  
echo.
echo '%3' -newApplicationHome parametresinin yeni uygulama sunucusu yaplandrma dizinini (rnein, 'JazzInstallRoot\server\conf') gsterdiini ve '%4' -applicationContextRoot parametresinin doru olduunu dorulayn.
echo nceki bir srmden ykseltiyorsanz, doru balam kklerini setiinizden emin olun.  rnein, Installation Manager kullanlyorsa, "Context Root Options" panosunda $5 balam kk seeneini belirlemelisiniz.  Yanllkla farkl bir seenek belirlerseniz, $5 balam kk seeneiyle rn yeniden kurmalsnz.
echo.
goto LBLEND

:LBLMSG_TSP_NOT_FOUND_NEW_APP
echo.
echo '%2' yaplandrma dosyas bulunamyor.
echo.
echo '%3' -newApplicationHome parametresinin yeni JTS sunucusu yaplandrma dizinini (rnein, 'JazzInstallRoot\server\conf') gsterdiini ve '%4' -applicationContextRoot parametresinin doru olduunu dorulayn.
echo nceki bir srmden ykseltiyorsanz, doru balam kklerini setiinizden emin olun.  rnein, Installation Manager kullanlyorsa, "Context Root Options" panosunda $5 balam kk seeneini belirlemelisiniz.  Yanllkla farkl bir seenek belirlerseniz, $5 balam kk seeneiyle rn yeniden kurmalsnz.
echo.
goto LBLEND

:LBLMSG_CMD_NOT_FOUND_OLD_JTS
echo.
echo '%2' JTS repotools komutu bulunamyor.
echo.
echo '%3' -oldJTSHome parametresinin eski JTS sunucusu yaplandrma dizinini (rnein, 'JazzInstallRoot\server\conf') gsterdiini ve '%4' -jtsContextRoot parametresinin doru olduunu dorulayn.
echo.
goto LBLEND

:LBLMSG_TSP_NOT_FOUND_OLD_JTS
echo.
echo '%2' yaplandrma dosyas bulunamyor.
echo.
echo '%3' -oldJTSHome parametresinin eski JTS sunucusu yaplandrma dizinini (rnein, 'JazzInstallRoot\server\conf') gsterdiini ve '%4' -jtsContextRoot parametresinin doru olduunu dorulayn.
echo.
goto LBLEND

:LBLMSG_CMD_NOT_FOUND_NEW_JTS
echo.
echo '%2' JTS repotools komutu bulunamyor.
echo.
echo '%3' -newJTSHome parametresinin yeni JTS sunucusu yaplandrma dizinini (rnein, 'JazzInstallRoot\server\conf') gsterdiini ve '%4' -jtsContextRoot parametresinin doru olduunu dorulayn.
echo.
goto LBLEND

:LBLMSG_TSP_NOT_FOUND_NEW_JTS
echo.
echo '%2' yaplandrma dosyas bulunamyor.
echo.
echo '%3' -newJTSHome parametresinin yeni JTS sunucusu yaplandrma dizinini (rnein, 'JazzInstallRoot\server\conf') gsterdiini ve '%4' -jtsContextRoot parametresinin doru olduunu dorulayn.
echo.
goto LBLEND

:LBLMSG_MISSING_IMPORT_FROM_FILE
echo.
echo %2 ykseltmesi iin 2.x verilerini ieren bir tar dosyas gereklidir.
echo Parametrelerin tam aklamas iin -help komutunu kullann.
echo.
goto LBLEND


REM **********************
REM * Execution messages *
REM **********************

:LBLMSG_BANNER_jts
echo.
echo.
echo =============================================
echo ===    JTS Ykseltmesi    ===
echo =============================================
echo.
goto LBLEND

:LBLMSG_BANNER_ccm
echo.
echo.
echo =============================================
echo ===    CCM Ykseltmesi    ===
echo =============================================
echo.
goto LBLEND

:LBLMSG_BANNER_qm
echo.
echo.
echo ============================================
echo ===    QM Ykseltmesi    ===
echo ============================================
echo.
goto LBLEND

:LBLMSG_BANNER_rm
echo.
echo.
echo ============================================
echo ===    RM Ykseltmesi    ===
echo ============================================
echo.
goto LBLEND

:LBLMSG_RM_CHECK_OLD_VERSION )
echo RM eski uygulama srm denetleniyor...
goto LBLEND

:LBLMSG_RM_DISPLAY_OLD_VERSION )
echo RM eski uygulama srm: '%~2'
goto LBLEND

REM *********************
REM * First step switch *
REM *********************

:LBLMSG_INITIAL_STEP_FAILED
echo.
echo lk admda son yrtme baarsz oldu...
goto LBLEND

:LBLMSG_LAST_STEP_FAILED
echo.
echo %2 admnda son yrtme  baarsz oldu...
echo Bu admdan ya da nceki bir admdan ykseltmeyi yeniden balatmak istiyor musunuz? 
goto LBLEND

:LBLMSG_ALREADY_RUN
echo.
echo Ykseltme zaten bitti ve baaryla tamamland...
echo Belirli bir admdan yeni bir adm yeniden balatmak istiyor musunuz? 
goto LBLEND

:LBLMSG_LAST_STEP_PASSED
echo.
echo %2 admnda son yrtme baaryla durduruldu...
echo Yrrlkteki %3 admndan ya da nceki bir admdan ykseltmeyi yeniden balatmak istiyor musunuz? 
goto LBLEND

:LBLMSG_ENTER_NEXT_STEP
echo.
echo Ykseltmeyi yeniden balatmak istediiniz adm numarasn [%2-%3] girin ya da ptal etmek iin [Enter] tuuna basn:
goto LBLEND

:LBLMSG_INTEGER_STEP_NUMBER
echo.
echo '%2' bir say deil. Ltfen geerli bir adm numaras girin.
goto LBLEND

:LBLMSG_INVALID_STEP_NUMBER
echo.
echo '%2', geersiz bir adm numarasdr. Ltfen geerli bir adm numaras girin.
goto LBLEND

:LBLMSG_MAX_STEP_NUMBER
echo.
echo Son adm, %2 admdr; bu nedenle %3 admndan ykseltmeyi yeniden balatamazsnz.
goto LBLEND

:LBLMSG_NUM_MAX_STEP_NUMBER
echo.
echo %2 adm henz altrlmad; bu nedenle %3 admndan ykseltmeyi yeniden balatamazsnz.
goto LBLEND


REM **********************
REM * Messages for Steps *
REM **********************

:LBLMSG_STEP_0
echo Adm 0: Yaplandrma dosyalarn gncelleyin
echo ---------------------------
goto LBLEND

:LBLMSG_STEP_1_ADD
echo Adm 1: Tablolar ekleyin
echo ------------------
goto LBLEND

:LBLMSG_STEP_2_UPGRADE_DATA_WAREHOUSE
echo Adm 2: Veri ambar emasn ykseltin
echo -------------------------------------
goto LBLEND

:LBLMSG_STEP_2_REBUILD_QUERY_AND_INDEXES
echo Adm %2: Sorgu ve arama dizinlerini yeniden yaratn
echo -----------------------------------------
goto LBLEND

:LBLMSG_STEP_3_UPGRADE_DATA_WAREHOUSE
echo Adm 3: Veri ambar emasn ykseltin
echo -------------------------------------
goto LBLEND

:LBLMSG_RM_APPLICATION_FINALIZE )
echo Step %2: RM uygulamasn sonlandrn
echo -------------------------------
goto LBLEND

:LBLMSG_JTS_APPLICATION_FINALIZE )
echo Step %2: JTS uygulamasn sonlandrn
echo -------------------------------
goto LBLEND

:LBLMSG_RM_REINDEX_ALL )
echo Step %2: RM uygulamasnn dizinini yeniden oluturun
echo --------------------------------
goto LBLEND

:LBLMSG_FULL_TEXT_INDICES_STEP
echo Adm %2: Metin dizinlerini yeniden oluturun
echo ----------------------------
goto LBLEND

:LBLMSG_JFS_INDICES_STEP
echo Adm %2: Sorgu ve arama dizinlerini yeniden yaratn
echo -----------------------------------------
goto LBLEND

:LBLMSG_JTS_MERGE_LPA_JTS_STEP
echo Adm %2: LPA'yi JTS'ye Birletir
echo -----------------------------------------
goto LBLEND

:LBLMSG_OVERALL_MIGRATION_FAILED
echo.
echo %3 admnda %2 ykseltmesi baarsz oldu.  Sorunu dzeltin ve %3 admndan balayarak komut dosyasn yeniden altrn.
echo.
goto LBLEND

:LBLMSG_OVERALL_MIGRATION_SUCCESS_JTS
echo.
echo %2 ykseltmesi baarl oldu.  imdi ortamnzda herhangi bir uygulamay ykseltebilirsiniz.
echo.
goto LBLEND

:LBLMSG_OVERALL_MIGRATION_SUCCESS_RM
echo.
echo %2 ykseltmesi baarl oldu.  imdi konulandrmanzda sunucular balatabilirsiniz.
echo.
goto LBLEND

:LBLMSG_OVERALL_MIGRATION_SUCCESS_RM_FROM_V4 )
echo.
echo RM ykseltmesinin evrimd ksm baarl oldu. Geii sona erdirmek iin
echo geriye tek bir adm kald, ancak bu adm RM uygulamasna balant veren btn
echo sunucularn (RTC, RQM, JRS gibi) evrimii olmasn gerektiriyor. Uygunsa, btn
echo sunucular (RM dahil) an. Her bir sunucuda oturum amanz ve bunlarn
echo doru altndan emin olmanz gerek. Daha sonra u komutu altrn:
echo.
call %MSG_FILE_PATH% STEP_DIR_CMD %2 %3
setlocal EnableDelayedExpansion
set THREE=%3
set THREE=!THREE:~1,-1!
echo     !THREE!
setlocal DisableDelayedExpansion
echo.
goto LBLEND

:LBLMSG_OVERALL_MIGRATION_SUCCESS_CCM_QM
echo.
echo %2 ykseltmesi baarl oldu.  imdi konulandrmanzda sunucular balatabilirsiniz.
echo.
goto LBLEND

REM *******************************
REM * Messages while running step *
REM *******************************

:LBLMSG_STEP_DIR_CMD
echo.
echo Dizin: %2
echo Komut:
goto LBLEND

:LBLMSG_ENTER_STEP_ACTION
echo Bu adm yrtmek iin [E] girin, atlamak iin [S] girin ya da komut dosyas yrtmeyi iptal etmek iin [Enter] tuuna basn:
goto LBLEND

:LBLMSG_INVALID_STEP_ACTION
echo.
echo '%2', geersiz bir giri; yalnzca 'E', 'S' ya da 'Enter' esine izin verilir
echo.
goto LBLEND

:LBLMSG_EDIT_TEAMSERVER_PROPERTIES
echo.
echo %2 teamserver.properties dosyasn dorulamanz salamak iin bir not defteri dzenleyicisi alacak.
echo com.ibm.team.repository.server.webapp.url zellii tarafndan belirtilen Genel URI kknn doru olduundan emin olun.
echo Veritaban zelliklerinin doru olduundan emin olun.
echo leminiz bittiinde, varsa deiikliklerinizi kaydedin ve komut dosyas yrtmeye devam etmek iin dzenleyiciyi kapatn.
echo.
echo Her bir zelliin nasl uygun ekilde yaplandrlacana ilikin bilgi iin
echo rn belgelerindeki 'CLM iin Rational zmn ykseltme' balkl konuya bavurun.
goto LBLEND

:LBLMSG_PAUSE
echo.
echo Yrtmeye devam etmek iin [C] girin ya da komut dosyas yrtmesini iptal etmek iin [Enter] tuuna basn:
goto LBLEND

:LBLMSG_INVALID_PAUSE_ACTION
echo.
echo '%2', geersiz bir giri; yalnzca 'E', 'C' ya da 'Enter' esine izin verilir
echo.
goto LBLEND

:LBLMSG_COPY_TXT_INDICES_INPROGRESS
echo.
echo '%2' iinden '%3' iine metin dizinleri kopyalanyor.
echo Bu birka dakika srebilir...
echo.
goto LBLEND

:LBLMSG_COPY_JFS_INDICES_INPROGRESS
echo.
echo '%2' iinden '%3' iine sorgu ve arama dizinleri kopyalanyor. 
echo Bu birka dakika srebilir...
echo.
goto LBLEND

:LBLMSG_COPY_INDICES_FAILED
echo.
echo '%2' iinden '%3' iine metin dizinleri kopyalanamad. 
echo teamserver.properties dosyasnda tanmlanan
echo com.ibm.team.fulltext.indexLocation zelliini dorulayn.
echo Bu dizine metin dizinlerini el ile kopyalayn
echo ya da yeniden oluturmak iin -rebuildTextIndices repotools komutunu altrn.
echo.
goto LBLEND

:LBLMSG_RM_APP_ID_NOEXIST )
echo.
echo "%NEW_APP_PARENT_DIR:"=%\RM_APP.ID" dosyas yok
echo Bu dosyay, RM Uygulama Tantcsn ieren tek bir satrla oluturun
echo ve yeniden deneyin.
echo.
goto LBLEND

REM *****************************************
REM * Messages for Public URIs verification *
REM *****************************************

:LBLMSG_MISSING_PUBLIC_URI
echo.
echo.
echo !!!!!!!!!!!!!!!!!!!!!!!!!!!!!! HATA !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
echo.
echo %3 iinde tanmlanm bir Genel URI
echo olmadndan
echo ykseltme balatlamyor.
echo.
echo Bu dosyada aadaki gibi tanmlanm tek bir Genel URI olmaldr:
echo https\://hostname.example.com\:port/%2
echo.
echo !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
echo.
echo teamserver.properties dosyasnda com.ibm.team.repository.server.webapp.url Genel URI zellii mevcut olmaldr.
echo zellii eski kuruluun teamserver.properties dosyasna ekleyin ve deeri tm istemcilerin sunucuya erimek iin kulland URI kk olarak ayarlayn.
echo Genel URI kk, yeni kuruluunuzun uygun almas iin nemlidir. Bu zellik olmadan ykseltme baarl olamaz.  
echo Daha fazla bilgi iin, 'URI'lerinizi planlama' balnda rn belgelerine bakn.
echo.
goto LBLEND

:LBLMSG_COMMENTED_PUBLIC_URI
echo.
echo.
echo !!!!!!!!!!!!!!!!!!!!!!!!!!!!!! HATA !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
echo.
echo %3 iinde tanmlanm tm Genel URI'ler
echo geersiz
echo klndndan ykseltme balatlamyor.
echo.
echo Bu dosyada aadaki gibi tanmlanm tek bir geersiz klnmam Genel URI olmaldr:
echo https\://hostname.example.com\:port/%2
echo.
echo !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
echo.
echo teamserver.properties dosyasnda com.ibm.team.repository.server.webapp.url Genel URI zellii mevcut olmaldr.
echo zellii eski kuruluun teamserver.properties dosyasna ekleyin ve deeri tm istemcilerin sunucuya erimek iin kulland URI kk olarak ayarlayn.
echo Genel URI kk, yeni kuruluunuzun uygun almas iin nemlidir. Bu zellik olmadan ykseltme baarl olamaz.
echo Daha fazla bilgi iin, 'URI'lerinizi planlama' balnda rn belgelerine bakn.
echo.
goto LBLEND

:LBLMSG_CONTEXT_ROOTS_CANNOT_BE_SAME
echo.
echo Jts'nin balam kk, '%2' olarak ayarland.
echo Uygulamann balam kk, '%3' olarak ayarland.
echo Jts ve uygulamann balam kkleri ayn olamaz.
echo.
goto LBLEND

:LBLEND
endlocal
