@echo off
rem *******************************************************************************
rem  Lisansl Malzeme - IBM'in Maldr
rem  (c) Copyright IBM Corporation 2006, 2012. Her Hakk Sakldr.
rem
rem  ABD Kamu Kullanclar in Snrl Haklara likin Not:
rem  Kullanm, oaltlmas ya da aklanmas, IBM Corp. ile yaplan GSA ADP Schedule
rem  Contract adl szlemeyle snrlanmtr.
rem  *******************************************************************************


REM #############################################################
REM #
REM # ccm_upgrade.bat komut dosyas parametrelerine karlk gelen
REM # ortam deikenlerini ve bunlarn varsaylan deerlerini tanmlayn
REM #
REM #===========================================================
REM #
REM # Bu dosya, ccm_upgrade.bat komut dosyas yrtmesinin
REM # banda okunur. nceden tanml bir varsaylan
REM # deer ile geerli parametreye gre bir ortam deikenini ayarlar.
REM #
REM # Kullanclar, komut satrna parametreyi ve karlk
REM # gelen deerini girmek zorunda kalmadan kendi deerleriyle
REM # ccm_upgrade.bat komut dosyasn balatmak iin
REM # varsaylan deeri deitirmek isteyebilir.
REM #
REM # UYARI:
REM # Her uygulama iin baz deikenlerin ayarlanmas
REM # gerekmez.  Deeri deitirmeden nce her bir aklamay
REM # dikkatlice okuyun.
REM #
REM #############################################################

rem Parametre: -oldApplicationHome
rem Kullanm: -oldApplicationHome <dizin yolu>
rem Aklama:
rem 	Eski kuruluta uygulama ana dizininin tam yolu.
rem Varsaylan:
rem 	<yok>
rem Kstlamalar:
rem  - bu zorunlu bir parametredir
rem  - <dizin yolu>, 'server/conf' ile biten bir var olan dizin olmaldr
rem    rn. D:\Jazz\IBM\RTC_3.x\jazz\server\conf
rem
set OLD_APPLICATION_HOME=

rem Parametre: -applicationContextRoot
rem Kullanm: -applicationContextRoot <kk>
rem Aklama:
rem 	Uygulama balam kk.
rem Varsaylan:
rem 	ccm
rem Kstlamalar:
rem  - <kk>, geerli bir dizin tek ad olmaldr (baka bir deyile banda eik izgi olmamaldr)
rem
set APPLICATION_CONTEXT_ROOT=

rem Parametre: -oldApplicationVersion
rem Kullanm: -oldApplicationVersion <version>
rem Aklama:
rem 	Ykseltilen CCM srm.  Varsaylan olarak bu, eski
rem     uygulamaya kar repotools -version altrlarak belirlenir.
rem Varsaylan:
rem 	<yok>
rem Kstlamalar:
rem  - tam bir srm dizgisi olmaldr
rem    rn. 3.0.0 ya da 3.0.1
rem
set OLD_APPLICATION_VERSION=

rem Parametre: -updateTomcatFiles
rem Kullanm: -updateTomcatFiles <yes | no>
rem Aklama:
rem 	Tomcat yaplandrma dosyalarnn gncellenip gncellenmeyecei.
rem Varsaylan:
rem 	evet
rem Kstlamalar:
rem  - Geerli deerler yalnzca 'evet' ve 'hayr' deerleridir
rem
set UPDATE_TOMCAT_FILES=yes

rem Parametre: -oldTomcatHome
rem Kullanm: -oldTomcatHome <dizin yolu>
rem Aklama:
rem 	Eski kuruluta Tomcat kk dizininin tam yolu.
rem Varsaylan:
rem 	<yok>
rem Kstlamalar:
rem  - Var olan bir dizin olmaldr
rem
set OLD_TOMCAT_HOME=

rem Parametre: -newApplicationHome
rem Kullanm: -newApplicationHome <dizin yolu>
rem Aklama:
rem 	Yeni kuruluta Uygulama ana dizininin yolu.
rem Varsaylan:
rem 	conf
rem Kstlamalar:
rem  - Yalnzca RTC, QM ve RM ykseltmesi iin kabul edilir
rem  - Kabul edildiinde bu bir zorunlu parametredir
rem  - <dizin yolu>, 'server/conf' ile biten bir var olan dizin olmaldr
rem    rn. D:\Jazz\IBM\RTC_3.0\JazzTeamServer\server\conf
rem
set NEW_APPLICATION_HOME="%START_DIR%\conf"

rem Parametre: -newJTSHome
rem Kullanm: -newJTSHome <dizin yolu>
rem Aklama:
rem 	Yeni kuruluun kullanaca JTS'nin JTS sunucusu yaplandrma dizininin yolu.
rem Varsaylan:
rem 	Yeni uygulama ana dizini
rem Kstlamalar:
rem  - <dizin yolu>, 'server\conf' ile biten bir var olan dizin olmaldr
rem
set NEW_JTS_HOME=

rem Parametre: -jtsContextRoot
rem Kullanm: -jtsContextRoot <kk>
rem Aklama:
rem 	JTS sunucusunun balam kk.
rem Varsaylan:
rem 	jts
rem Kstlamalar:
rem  - <kk>, geerli bir dizin tek ad olmaldr (baka bir deyile banda eik izgi olmamaldr)
rem
set JTS_CONTEXT_ROOT=jts

rem Parametre: -newApplicationTomcatHome
rem Kullanm: -newApplicationTomcatHome <dizin yolu>
rem Aklama:
rem 	Yeni kuruluta Uygulama Tomcat kk dizininin yolu.
rem Varsaylan:
rem 	<yok>
rem
set NEW_TOMCAT_HOME=

rem Parametre: -newJTSTomcatHome
rem Kullanm: -newJTSTomcatHome <dizin yolu>
rem Aklama:
rem 	Yeni kuruluun kullanaca JTS'deki JTS Tomcat kk dizininin yolu.
rem Varsaylan:
rem 	<yok>
rem
set NEW_JTS_TOMCAT_HOME=

rem Parametre: -noPrompt
rem Kullanm: -noPrompt
rem Aklama:
rem 	Tablolar yaratlmadan ya da deitirilmeden nce sorulmasn
rem Varsaylan:
rem 	<yok>
rem Kstlamalar:
rem  - Geerli deerler yalnzca bo ya da 'noPrompt' deeridir
rem
rem NO_PROMPT=noPrompt deerini ayarla
set NO_PROMPT=

rem Parametre: -noVerify
rem Kullanm: -noVerify
rem Aklama:
rem 	teamserver.properties dosya dorulamas gerekletirme.
rem Varsaylan:
rem 	<yok>
rem Kstlamalar:
rem  - Geerli deerler yalnzca bo ya da 'noVerify' deeridir
rem
rem NO_VERIFY=noVerify deerini ayarla
set NO_VERIFY=

rem Parametre: -overwrite
rem Kullanm: -overwrite
rem Aklama:
rem 	Var olan bir dosyann zerine yazlp yazlmayaca.
rem Varsaylan:
rem 	hayr
rem Kstlamalar:
rem  - Geerli deerler yalnzca bo ya da 'overwrite=yes' deeridir
rem
rem OVERWRITE=overwrite=yes deerini ayarla
set OVERWRITE=

rem Parametre: -noStepPrompt
rem Kullanm: -noStepPrompt
rem Aklama:
rem 	Adm yrtlmeden nce sorulmasn.
rem Varsaylan:
rem 	false
rem Kstlamalar:
rem  - Geerli deerler yalnzca 'true' ya da 'false' deeridir
rem
rem NO_STEP_PROMPT=true deerini ayarla
set NO_STEP_PROMPT=false
