@echo off
rem *******************************************************************************
rem  Lisansl Malzeme - IBM'in Maldr
rem  (c) Copyright IBM Corporation 2006, 2012. Her Hakk Sakldr.
rem
rem  ABD Kamu Kullanclar in Snrl Haklara likin Not:
rem  Kullanm, oaltlmas ya da aklanmas, IBM Corp. ile yaplan GSA ADP Schedule
rem  Contract adl szlemeyle snrlanmtr.
rem  *******************************************************************************


REM #############################################################
REM #
REM # jts_upgrade.bat komut dosyas parametrelerine karlk gelen
REM # ortam deikenlerini ve bunlarn varsaylan deerlerini tanmlayn
REM #
REM #===========================================================
REM #
REM # Bu dosya, jts_upgrade.bat komut dosyas yrtmesinin
REM # banda okunur. nceden tanml bir varsaylan
REM # deer ile geerli parametreye gre bir ortam deikenini ayarlar.
REM #
REM # Kullanclar, komut satrna parametreyi ve karlk
REM # gelen deerini girmek zorunda kalmadan kendi deerleriyle
REM # jts_upgrade.bat komut dosyasn balatmak iin
REM # varsaylan deeri deitirmek isteyebilir.
REM #
REM # UYARI:
REM # Her uygulama iin baz deikenlerin ayarlanmas
REM # gerekmez.  Deeri deitirmeden nce her bir aklamay
REM # dikkatlice okuyun.
REM #
REM #############################################################

rem Parametre: -oldJTSHome
rem Kullanm: -oldJTSHome <dizin yolu>
rem Aklama:
rem 	Eski kuruluta JTS ana dizininin tam yolu.
rem Varsaylan:
rem 	<yok>
rem Kstlamalar:
rem  - <dizin yolu>, 'server\conf' ile biten bir var olan dizin olmaldr
rem  - Yalnzca RM ve JTS ykseltmeleri iin geerlidir
rem
set OLD_JTS_HOME=

rem Parametre: -jtsContextRoot
rem Kullanm: -jtsContextRoot <kk>
rem Aklama:
rem 	JTS balam kk
rem Varsaylan:
rem 	jts
rem Kstlamalar:
rem  - <kk>, geerli bir dizin tek ad olmaldr (baka bir deyile banda eik izgi olmamaldr)
rem
set JTS_CONTEXT_ROOT=jts

rem Parametre: -lpaContextRoot
rem Kullanm: -lpaContextRoot <root>
rem Aklama:
rem 	LPA balam kk
rem Varsaylan:
rem 	admin
rem Kstlamalar:
rem  - <kk>, geerli bir dizin tek ad olmaldr (baka bir deyile banda eik izgi olmamaldr)
rem
set LPA_CONTEXT_ROOT=admin

rem Parametre: -oldJTSVersion
rem Kullanm: -oldJTSVersion <srm>
rem Aklama:
rem     Ykseltilen JTS srm.  Varsaylan olarak bu,
rem     eski JTS'ye kar repotools -version altrlarak belirlenir.
rem Varsaylan:
rem 	<yok>
rem Kstlamalar:
rem  - tam bir srm dizgisi olmaldr
rem    rn. 3.0.0 ya da 3.0.1
rem
set OLD_JTS_VERSION=

rem Parametre: -updateTomcatFiles
rem Kullanm: -updateTomcatFiles <yes | no>
rem Aklama:
rem 	Tomcat yaplandrma dosyalarnn gncellenip gncellenmeyecei.
rem Varsaylan:
rem 	evet
rem Kstlamalar:
rem  - Geerli deerler yalnzca 'evet' ve 'hayr' deerleridir
rem
set UPDATE_TOMCAT_FILES=yes

rem Parametre: -oldTomcatHome
rem Kullanm: -oldTomcatHome <dizin yolu>
rem Aklama:
rem 	Eski kuruluta Tomcat kk dizininin tam yolu.
rem Varsaylan:
rem 	<yok>
rem Kstlamalar:
rem  - Var olan bir dizin olmaldr
rem
set OLD_TOMCAT_HOME=

rem Parametre: -newJTSHome
rem Kullanm: -newJTSHome <dizin yolu>
rem Aklama:
rem 	Yeni kuruluun JTS sunucusu yaplandrma dizininin yolu.
rem Varsaylan:
rem 	conf
rem Kstlamalar:
rem  - <dizin yolu>, 'server\conf' ile biten bir var olan dizin olmaldr
rem
set NEW_JTS_HOME="%START_DIR%\conf"

rem Parametre: -newTomcatHome
rem Kullanm: -newTomcatHome <dizin yolu>
rem Aklama:
rem 	Yeni kuruluun Tomcat ana dizininin yolu.
rem Varsaylan:
rem 	<yok>
rem
set NEW_TOMCAT_HOME=

rem Parametre: -noPrompt
rem Kullanm: -noPrompt
rem Aklama:
rem 	Tablolar yaratlmadan ya da deitirilmeden nce sorulmasn
rem Varsaylan:
rem 	<yok>
rem Kstlamalar:
rem  - Geerli deerler yalnzca bo ya da 'noPrompt' deeridir
rem
rem NO_PROMPT=noPrompt deerini ayarla
set NO_PROMPT=

rem Parametre: -noVerify
rem Kullanm: -noVerify
rem Aklama:
rem 	teamserver.properties dosya dorulamas gerekletirme.
rem Varsaylan:
rem 	<yok>
rem Kstlamalar:
rem  - Geerli deerler yalnzca bo ya da 'noVerify' deeridir
rem
rem NO_VERIFY=noVerify deerini ayarla
set NO_VERIFY=

rem Parametre: -overwrite
rem Kullanm: -overwrite
rem Aklama:
rem 	Var olan bir dosyann zerine yazlp yazlmayaca.
rem Varsaylan:
rem 	hayr
rem Kstlamalar:
rem  - Geerli deerler yalnzca bo ya da 'overwrite=yes' deeridir
rem
rem OVERWRITE=overwrite=yes deerini ayarla
set OVERWRITE=

rem Parametre: -noStepPrompt
rem Kullanm: -noStepPrompt
rem Aklama:
rem 	Adm yrtlmeden nce sorulmasn.
rem Varsaylan:
rem 	false
rem Kstlamalar:
rem  - Geerli deerler yalnzca 'true' ya da 'false' deeridir
rem
rem NO_STEP_PROMPT=true deerini ayarla
set NO_STEP_PROMPT=false
