@echo off
rem *******************************************************************************
rem  Lisansl Malzeme - IBM'in Maldr
rem  (c) Copyright IBM Corporation 2006, 2014. Her Hakk Sakldr.
rem
rem  ABD Kamu Kullanclar in Snrl Haklara likin Not:
rem  Kullanm, oaltlmas ya da aklanmas, IBM Corp. ile yaplan GSA ADP Schedule
rem  Contract adl szlemeyle snrlanmtr.
rem  *******************************************************************************


REM #############################################################
REM #
REM # rm_upgrade.bat komut dosyas parametrelerine karlk gelen
REM # ortam deikenlerini ve bunlarn varsaylan deerlerini tanmlayn
REM #
REM #===========================================================
REM #
REM # Bu dosya, rm_upgrade.bat komut dosyas yrtmesinin
REM # banda okunur. nceden tanml bir varsaylan
REM # deer ile geerli parametreye gre bir ortam deikenini ayarlar.
REM #
REM # Kullanclar, komut satrna parametreyi ve karlk
REM # gelen deerini girmek zorunda kalmadan kendi deerleriyle
REM # rm_upgrade.bat komut dosyasn balatmak iin
REM # varsaylan deeri deitirmek isteyebilir.
REM #
REM # UYARI:
REM # Her uygulama iin baz deikenlerin ayarlanmas
REM # gerekmez.  Deeri deitirmeden nce her bir aklamay
REM # dikkatlice okuyun.
REM #
REM #############################################################

rem Parametre: -oldApplicationHome
rem Kullanm: -oldApplicationHome <dizin yolu>
rem Aklama:
rem 	Eski kuruluta uygulama ana dizininin tam yolu.
rem Varsaylan:
rem 	<none>
rem Kstlamalar:
rem  - bu zorunlu bir parametredir
rem  - <dizin yolu>, 'server\conf' ile biten bir var olan dizin olmaldr
rem    rn. D:\Jazz\IBM\RM_4.x\jazz\server\conf
rem
set OLD_APPLICATION_HOME=

rem Parametre: -applicationContextRoot
rem Kullanm: -applicationContextRoot <kk>
rem Aklama:
rem 	Uygulama balam kk.
rem Varsaylan:
rem 	<none>
rem Kstlamalar:
rem  - <kk> geerli bir dizin tek ad olmaldr (baka bir deyile banda eik izgi olmamaldr)
rem
set APPLICATION_CONTEXT_ROOT=

rem Parametre: -oldApplicationVersion
rem Kullanm: -oldApplicationVersion <version>
rem Aklama:
rem 	Ykseltilen RM srm. Varsaylan olarak bu, eski
rem     uygulamaya kar repotools -version altrlarak belirlenir.
rem Varsaylan:
rem 	<none>
rem Kstlamalar:
rem  - tam bir srm dizgisi olmaldr
rem    rn. 3.0.1
rem
set OLD_APPLICATION_VERSION=

rem Parametre: -updateTomcatFiles
rem Kullanm: -updateTomcatFiles <yes | no>
rem Aklama:
rem 	Tomcat yaplandrma dosyalarnn gncellenip gncellenmeyecei.
rem Varsaylan:
rem 	yes
rem Kstlamalar:
rem  - Geerli deerler yalnzca 'yes' ve 'no' deerleridir
rem
set UPDATE_TOMCAT_FILES=yes

rem Parametre: -oldApplicationTomcatHome
rem Kullanm: -oldApplicationTomcatHome <dizin yolu>
rem Aklama:
rem 	Eski kuruluta Uygulama Tomcat kk dizininin tam yolu.
rem Varsaylan:
rem 	<none>
rem Kstlamalar:
rem  - Yalnzca RM ykseltmesi iin kabul edilir
rem  - Var olan bir dizin olmaldr
rem
set OLD_TOMCAT_HOME=

rem Parametre: -newApplicationHome
rem Kullanm: -newApplicationHome <dizin yolu>
rem Aklama:
rem 	Yeni kuruluta Uygulama ana dizininin yolu.
rem Varsaylan:
rem 	conf
rem Kstlamalar:
rem  - Yalnzca RTC, QM ve RM ykseltmesi iin kabul edilir
rem  - Kabul edildiinde bu bir zorunlu parametredir
rem  - <dizin yolu>, 'server\conf' ile biten bir var olan dizin olmaldr
rem    rn. D:\Jazz\IBM\RM_4.x\JazzTeamServer\server\conf
rem
set NEW_APPLICATION_HOME="%START_DIR%\conf"

rem Parametre: -newJTSHome
rem Kullanm: -newJTSHome <dizin yolu>
rem Aklama:
rem 	Yeni kuruluun kullanaca JTS'deki JTS ana dizininin tam yolu.
rem Varsaylan:
rem 	Yeni uygulama ana dizini
rem Kstlamalar:
rem  - <dizin yolu>, 'server\conf' ile biten bir var olan dizin olmaldr
rem
set NEW_JTS_HOME=

rem Parametre: -newJTSContextRoot
rem Kullanm: -newJTSContextRoot <kk>
rem Aklama:
rem 	TS sunucusunun balam kk.
rem Varsaylan:
rem 	jts
rem Kstlamalar:
rem  - <kk>, geerli bir dizin tek ad olmaldr (baka bir deyile banda eik izgi olmamaldr)
rem
set JTS_CONTEXT_ROOT=jts

rem Parametre: -newApplicationTomcatHome
rem Kullanm: -newApplicationTomcatHome <dizin yolu>
rem Aklama:
rem 	Yeni kuruluta Uygulama Tomcat kk dizininin yolu.
rem Varsaylan:
rem 	<none>
rem
set NEW_TOMCAT_HOME=

rem Parametre: -newJTSTomcatHome
rem Kullanm: -newJTSTomcatHome <dizin yolu>
rem Aklama:
rem 	Yeni kuruluun kullanaca JTS'deki JTS Tomcat kk dizininin yolu.
rem Varsaylan:
rem 	<none>
rem
set NEW_JTS_TOMCAT_HOME=

rem Parametre: -noPrompt
rem Kullanm: -noPrompt
rem Aklama:
rem 	Herhangi bir repotools komutu yrtrken onay isteme (baka bir deyile her zaman noPrompt kullan) rem Varsaylan:
rem 	<none>
rem Kstlamalar:
rem  - Geerli deerler yalnzca bo ya da 'noPrompt' deeridir
rem
rem NO_PROMPT=noPrompt deerini ayarla
set NO_PROMPT=

rem Parametre: -overwrite
rem Kullanm: -overwrite
rem Aklama:
rem 	Herhangi bir repotools komutu yrtrken zerine yazmaya zorla (baka bir deyile her zaman overwrite=yes kullan)
rem Varsaylan:
rem 	<none>
rem Kstlamalar:
rem  - Geerli deerler yalnzca bo ya da 'overwrite=yes' deeridir
rem
rem OVERWRITE=overwrite=yes deerini ayarla
set OVERWRITE=

rem Parametre: -noVerify
rem Kullanm: -noVerify
rem Aklama:
rem 	Herhangi bir repotools komutu yrtrken dorulama gerekletirme (baka bir deyile her zaman noVerify kullan)
rem Varsaylan:
rem 	<none>
rem Kstlamalar:
rem  - Geerli deerler yalnzca bo ya da 'noVerify' deeridir
rem
rem NO_VERIFY=noVerify deerini ayarla
set NO_VERIFY=

rem Parametre: -noStepPrompt
rem Kullanm: -noStepPrompt
rem Aklama:
rem 	Her ykseltme admndan nce sorulmasn
rem Varsaylan:
rem 	false
rem Kstlamalar:
rem  - Geerli deerler yalnzca 'true' ya da 'false' deeridir
rem
rem NO_STEP_PROMPT=true deerini ayarla
set NO_STEP_PROMPT=false

rem Parametre: -db.jdbc.location
rem Kullanm: -db.jdbc.location <JDBC_URL>
rem Aklama:
rem 	RM veritaban iin JDBC konumu. (yalnzca 4.x'ten 5.x'e geite gerekir)
rem		rnekler:
rem			DB2 		//localhost:50000/RM_DB:user=db2admin;password={password};
rem			DB2i 		//hostname;hold statements=true;metadata source=1;user=rmDBuser;password={password};
rem			ORACLE		thin:rmDBuser/{password}@//oracleserver.example.com:1521/RM_DB
rem			SQLSERVER	//localhost:1433;databaseName=RM_DB;user=rmDBuser;password={password};
rem			DERBY		conf/rm/derby/repositoryDB
rem Varsaylan:
rem 	<none>
rem Kstlamalar:
rem  - Yalnzca RM'in 4.x'den ykseltilmesi iin kabul edilir
rem
rem set DB_JDBC_LOCATION_VALUE=conf/rm/derby/repositoryDB
set DB_JDBC_LOCATION_VALUE=

rem Parametre: -db.jdbc.password
rem Kullanm: -db.jdbc.password <JDBC_PASSWORD>
rem Aklama:
rem 	"{password}" JDBC url biiminde grnrse yerine geecek parola (dz metin ya da ifreli).
rem Varsaylan:
rem 	<none>
rem Kstlamalar:
rem  - RM veritaban JDBC URL'si {password} ieriyorsa belirtilmelidir
rem
set DB_JDBC_PASSWORD_VALUE=

rem Parametre: -db.db2i.schema.name
rem Kullanm: -db.db2i.schema.name <SCHEMA_NAME>
rem Aklama:
rem 	DB2i DB ema Ad.
rem Varsaylan:
rem 	<none>
rem Kstlamalar:
rem  - DB2i veritaban tipi kullanlarak belirtilmelidir.
rem
set DB_DB2I_SCHEMA_NAME_VALUE=

rem Parametre: -db.db2.dsn.dbname
rem Kullanm: -db.db2.dsn.dbname <DSN_DBNAME>
rem Aklama:
rem 	DB2Z DSN DB Ad.
rem Varsaylan:
rem 	<none>
rem Kstlamalar:
rem  - DB2z veritaban tipi kullanlarak belirtilmelidir.
rem
set DB_DB2_DSN_DBNAME_VALUE=

rem Parametre: -db.schemaPrefix
rem Kullanm: -db.schemaPrefix <SCHEMA_PREFIX>
rem Aklama:
rem 	DB ema neki.
rem Varsaylan:
rem 	<none>
rem Kstlamalar:
rem  - DB2z veritaban tipi kullanlarak belirtilmelidir.
rem
set DB_SCHEMA_PREFIX_VALUE=
